services:
  freshrss:
    image: freshrss/freshrss:latest
    # # Optional build section if you want to build the image locally:
    # build:
    #   # Pick #latest (slow releases) or #edge (rolling release) or a specific release like #1.27.1
    #   context: https://github.com/FreshRSS/FreshRSS.git#latest
    #   dockerfile: Docker/Dockerfile-Alpine
    container_name: freshrss
    hostname: freshrss
    restart: unless-stopped
    ports:
      # If you want to open a port 8080 on the local machine:
      - "8091:80"
    logging:
      options:
        max-size: 10m
    volumes:
      - /mnt/dbs/freshrss/data:/var/www/FreshRSS/data
      - /mnt/dbs/freshrss/extensions:/var/www/FreshRSS/extensions
      - /mnt/dbs/freshrss/db:/var/lib/postgresql
    environment:
      POSTGRES_DB: ${DB_BASE:-freshrss}
      POSTGRES_USER: ${DB_USER:-freshrss}
      POSTGRES_PASSWORD: ${DB_PASSWORD:-freshrss}
      TZ: Europe/Moscow
      CRON_MIN: '3,33'
      LISTEN: 0.0.0.0:80
    # Optional healthcheck section:
    healthcheck:
      test: ["CMD", "cli/health.php"]
      timeout: 10s
      start_period: 60s
      start_interval: 11s
      interval: 75s
      retries: 3
